For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Cloudflare
    • GETpayload example
    • POSThttps://social-media-posting-dev.deao.workers.dev/post
        • POSTRefresh Token: https://oauth2.googleapis.com/token
        • GETGet Upload Status: https://www.googleapis.com/youtube/v3/videos?part=status,processingDetails&id={video_id}
        • POST1. Initialize Upload: https://www.googleapis.com/upload/youtube/v3/videos?part=snippet,status&uploadType=resumable
        • PUT2. Upload Video: {Location}
LogoLogo
CloudflareSocial Media PostingYou Tube

  1. Initialize Upload: https://www.googleapis.com/upload/youtube/v3/videos?part=snippet,status&uploadType=resumable

||View as Markdown|
POST
/upload/youtube/v3/videos
POST
/upload/youtube/v3/videos
$curl -X POST "https://graph.facebook.com/upload/youtube/v3/videos?part=snippet%2Cstatus&uploadType=resumable" \
> -H "X-Upload-Content-Type: video/mp4" \
> -H "X-Upload-Content-Length: 7420640" \
> -H "Content-Type: application/json" \
> -d "{
> \"snippet\": {
> \"title\": \"tttttmi short\", // {title}
> \"description\": \"hello world- https://musicca.st\" // {message}
> },
> \"status\": {
> \"privacyStatus\": \"public\"
> }
>}"
200Successful
1{}
Was this page helpful?
Previous

Get Upload Status: https://www.googleapis.com/youtube/v3/videos?part=status,processingDetails&id={video_id}

Next

  1. Upload Video: {Location}

Built with

Headers

X-Upload-Content-TypestringOptional
X-Upload-Content-LengthstringOptional
{x_upload_content_length}

Query parameters

partstringOptional
uploadTypestringOptional

Request

This endpoint expects a string.

Response headers

Alt-Svcstring
Locationstring
X-GUploader-UploadIDstring

Response

OK

Get Upload Status: https://www.googleapis.com/youtube/v3/videos?part=status,processingDetails&id={video_id}